version: "3"
services:
  chrome:
    image: selenium/node-chrome:4.3.0-20220726
    shm_size: 2gb
    depends_on:
      - hub
    environment:
      - SE_EVENT_BUS_HOST=hub
      - SE_EVENT_BUS_PUBLISH_PORT=4442
      - SE_EVENT_BUS_SUBSCRIBE_PORT=4443
  firefox:
    image: selenium/node-firefox:4.3.0-20220726
    shm_size: 2gb
    depends_on:
      - hub
    environment:
      - SE_EVENT_BUS_HOST=hub
      - SE_EVENT_BUS_PUBLISH_PORT=4442
      - SE_EVENT_BUS_SUBSCRIBE_PORT=4443
  hub:
    image: selenium/hub:4.3.0-20220726
    ports:
      - "4442:4442"
      - "4443:4443"
      - "4444:4444"
  fwk-sample-tests:
    environment:
      - SE_EVENT_BUS_HOST=hub
    build:
      context: .
      dockerfile: Dockerfile
    depends_on:
      - hub
      - chrome
      - firefox
    command: yarn samples

